<?php
if( !defined('ISDVBBS') ){
	header('HTTP/1.0 404 Not Found');
	printFooter();
	exit;
}

print <<<EOT
<table class="tableborder" border="0" cellpadding="0" cellspacing="0" align="center">
<tr>
<td class="tdtit">{$lang['tpl.str6']}</td></tr>
<tr><td>
<form name="{$form['name']}" id="{$form['name']}" action="{$form['action']}" method="{$form['method']}" {$form['attribute_str']}>
<!--
EOT;

foreach ($form['items'] as $item) {
if ($item['group_title']!=''){
print <<<EOT
-->
<div style="border:#E4E4EF 1px solid;margin-top:0px;"><div class="tit1"><div style="float:left;text-indent:5px;">{$lang['g_title_falg']}</div>{$item['group_title']}</div></div>
<!--
EOT;
}
switch ($item['type']) {
case 'text' : case 'password': case 'file':
print <<<EOT
--><div>
<div class="forumrow">
<!--
EOT;
if ($item['h_link']!=''){
print <<<EOT
--><div style="float:right;width:40px;text-align : center;"> <a href="{$item['h_link']}"><img src="images/help.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
if ($item['top_falg']!=''){
print <<<EOT
--><a name="{$item['top_falg']}"></a><div style="float:right;"> <a href="#"><img src="images/p_up.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
print <<<EOT
--><div class="formtitle" style="width:150px;">{$item['item_tit']}</div>
<div style="float:left;"><input type="{$item['type']}" name="{$item['name']}" id="{$item['name']}" value="{$item['value']}" style="{$item['style']}"/></div>
<div style="text-indent:12px;">{$item['description']}</div>
</div>
</div>
<!--
EOT;
break;
case 'hidden':
print <<<EOT
--><input type="{$item['type']}" name="{$item['name']}" id="{$item['name']}" value="{$item['value']}" {$item['attribute_str']}/>
<!--
EOT;
break;
case 'textarea':
print <<<EOT
--><div>
<div class="tit1">
<!--
EOT;
if ($item['h_link']!=''){
print <<<EOT
--><div style="float:right;width:40px;text-align : center;"> <a href="{$item['h_link']}"><img src="images/help.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
if ($item['top_falg']!=''){
print <<<EOT
--><a name="{$item['top_falg']}"></a><div style="float:right;"> <a href="#"><img src="images/p_up.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
print <<<EOT
-->
<div style="float:left;text-indent:5px;">{$lang['g_title_falg']}</div>{$item['item_tit']}</div>
<div class="td1" style="border-top:#E4E4EF 1px solid;"><textarea name="{$item['name']}" id="{$item['name']}" style="{$item['style']}" rows="20" cols="20">{$item['value']}</textarea></div>
<div class="td" style="text-indent:24px;border-top:#E4E4EF 1px solid;">{$item['description']}</div></div>
<!--
EOT;
break;
case 'submit':
print <<<EOT
--><div>
<div class="forumrow1" style="text-align:center;height:30px;">
<input type="{$item['type']}" name="{$item['name']}" class="button" id="{$item['name']}" value="{$item['value']}" style="{$item['style']}" {$item['attribute_str']}/>
</div>
</div>
<!--
EOT;
break;
case 'radio':
print <<<EOT
--><div>
<div class="forumrow1">
<!--
EOT;
if ($item['h_link']!=''){
print <<<EOT
--><div style="float:right;width:40px;text-align : center;"> <a href="{$item['h_link']}"><img src="images/help.gif" alt="" border="0" style="margin : 3px;"/></a> </div> 
<!--
EOT;
}
if ($item['top_falg']!=''){
print <<<EOT
--><a name="{$item['top_falg']}"></a><div style="float:right;"> <a href="#"><img src="images/p_up.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
print <<<EOT
--><div class="formtitle" style="width:150px;">{$item['item_tit']}</div>
<!--
EOT;



foreach ($restriction[$item['simpleType']]['enumeration'] as $enumeration) {
print <<<EOT
--><div style="float:left;"><input type="{$item['type']}" name="{$item['name']}" value="{$enumeration['value']}" style="{$item['style']}" <!--
EOT;
if($enumeration['value']==$item['value']){
print <<<EOT
-->checked="checked"<!--
EOT;
}
print <<<EOT
-->{$item['attribute_str']}/></div>
<div style="float:left;">{$enumeration['text']}</div>
<!--
EOT;
}
print <<<EOT
--><div style="text-indent:12px;">{$item['description']}</div>
</div>
</div>
<!--
EOT;
break;
case 'checkbox':
print <<<EOT
--><div>
<div class="forumrow1">
<!--
EOT;
if ($item['h_link']!=''){
print <<<EOT
--><div style="float:right;width:40px;text-align : center;"> <a href="{$item['h_link']}"><img src="images/help.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
if ($item['top_falg']!=''){
print <<<EOT
--><a name="{$item['top_falg']}"></a><div style="float:right;"> <a href="#"><img src="images/p_up.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
print <<<EOT
--><div class="formtitle" style="width:150px;">{$item['item_tit']}</div>
<!--
EOT;
foreach ($restriction[$item['simpleType']]['enumeration'] as $enumeration) {
print <<<EOT
--><div style="float:left;"><input type="{$item['type']}" name="{$item['name']}" value="{$enumeration['value']}" style="{$item['style']}" <!--
EOT;
foreach($item['value'] as $value){
if($enumeration['value']==$value){
print <<<EOT
-->checked="checked"<!--
EOT;
break;
}
}
print <<<EOT
-->{$item['attribute_str']}/></div>
<div style="float:left;">{$enumeration['text']}</div>
<!--
EOT;
}
print <<<EOT
--><div style="text-indent:12px;">{$item['description']}</div>
</div>
</div>
<!--
EOT;
break;
case 'select':
print <<<EOT
--><div>
<div class="td1">
<!--
EOT;
if ($item['h_link']!=''){
print <<<EOT
--><div style="float:right;width:40px;text-align : center;"> <a href="{$item['h_link']}"><img src="images/help.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
if ($item['top_falg']!=''){
print <<<EOT
--><a name="{$item['top_falg']}"></a><div style="float:right;"> <a href="#"><img src="images/p_up.gif" alt="" border="0" style="margin : 3px;"/></a> </div>
<!--
EOT;
}
print <<<EOT
--><div class="formtitle" style="width:150px;">{$item['item_tit']}</div><div>
<select name="{$item['name']}" id="{$item['name']}" style="{$item['style']}" {$item['attribute_str']} >
<!--
EOT;
foreach ($restriction[$item['simpleType']]['enumeration'] as $enumeration) {
print <<<EOT
--><option value="{$enumeration['value']}"<!--
EOT;
if(is_array($item['value'])){
	foreach($item['value'] as $value){
if($enumeration['value']==$value){
print <<<EOT
--> selected="selected"<!--
EOT;
break;
}
}
}else{
if($enumeration['value']==$item['value']){
print <<<EOT
--> selected="selected"<!--
EOT;
}
}
print <<<EOT
-->>{$enumeration['text']}</option>
<!--
EOT;
}
print <<<EOT
--></select>{$item['description']}</div>
</div>
</div>
<!--
EOT;
break;
default:
print <<<EOT
-->{$lang['no_support']} '{$item['type']}'
<!--
EOT;
break;
}
}
print <<<EOT
-->
</form>
</td></tr>
</table>
<!--
EOT;
?>-->